# fetapi - FeTAp with a Raspberry Pi

```

                                        ,ooFeTApFeTApFeTA%=+-,.
                                ,+FeTAp+'                      `o,,
                         ,oFeTAp+                                  `,
                     ,ooo'                 ,oFeTApFeTAp             o
                   oo              +FeTAp+'            `oo,          H
                  o              o'                      X o         l
              ,@=@+             o          ,,-+*==+-.,    R o      .;
           ,@=@+  o            o'        ,/   22  11  ``,   E`ooooo'
          @@*   @@ oo         o'        /  33 , ` ` ,    ;   T
          @:n   T:@ oo       o         ; 44 ,         .   \  L
          uM:m  A:K   oFeTAp'          ;55 ,           :   ;  A
          E:Rn  N:t      F,            | ` :           ;   |   H
         SC:h    K:o      e,           ` 66 `         , dHHH   C
        A:Ll      L:s      r,           `  77  `. , . 0  `q/    S
      ER:a        P:U       n,            \   88  99  00 ,'      L
     R:Be          i:M       s              `<,,______,-`    sZ, E
    i:T             E:r       p,                             `sZ B
    S:K              l:T       r,                                A
     o:N             H:a        e,                               G
      t:a           s:c          c,                         ,x+x+'
        k:T:@:U:M:R:n;             h,             ,p+e+r+a+t/
          `@:n:M:E:'

```

## Installation

### Installing `linphone-cli` on Raspbian

1. Install `debootstrap`

   ```
   apt install debootstrap
   ```

2. Create a *Debian/sid* chroot environment

   ```
   cd /var/tmp
   mkdir debian-sid

   debootstrap --arch=armel --foreign --variant=minbase sid ./debian-sid http://ftp.de.debian.org/debian

   chroot debian-sid/ /debootstrap/debootstrap --second-stage
   ```

3. Install `linphone-cli` inside the chroot environment

   ```
   chroot debian-sid/ apt -y install linphone-cli
   ```

4. Create user inside the chroot environment

   ```
   chroot /var/tmp/debian-sid adduser --disabled-password pi
   ```

5. Bind-mount `/dev` to make ALSA accessible within the chroot

   ```
   cat <<EOF >>/etc/fstab
   /dev /var/tmp/debian-sid/dev none bind 0 0
   EOF

   mount -a
   ```

6. Configure and enable `linphone-daemon` as `systemd` service

   ```
   ln -sr linphone-daemon.service /etc/systemd/system
   systemctl daemon-reload
   systemctl enable linphone-daemon
   systemctl start linphone-daemon
   ```
